package com.blueland.ebpm.home.model;

/**
 * @author Administrator
 *
 */
public class UserPostEntity {

	// columns START
	/**
	 * 员工工号
	 */
	private String staffNum;

	/**
	 * 员工账号
	 */
	private String staffCode;
	
	// 任岗编码（唯一值，岗位编码_工号）
	private String staffPostCode;
	
	// 任岗类型（主岗main, 兼岗 parttime）
	private String staffPostType;
	
	// 部门编码
	private String deptCode;
	// 部门名称
	private String deptName;
	// 岗位编码：如A01A01A04A0302
	private String positionCode;
	// 岗位名称
	private String positionName;
	// 状态(启用enable, 禁用disable，删除delete）；系统目前只有启用的数据
	private String status;
	// 创建人账号
	private String createUser;
	// 创建时间
	private String createTime;
	
	private String updateUser;
	
	private String updateTime;

	public String getStaffNum() {
		return staffNum;
	}

	public void setStaffNum(String staffNum) {
		this.staffNum = staffNum;
	}

	public String getStaffCode() {
		return staffCode;
	}

	public void setStaffCode(String staffCode) {
		this.staffCode = staffCode;
	}

	public String getStaffPostCode() {
		return staffPostCode;
	}

	public void setStaffPostCode(String staffPostCode) {
		this.staffPostCode = staffPostCode;
	}

	public String getStaffPostType() {
		return staffPostType;
	}

	public void setStaffPostType(String staffPostType) {
		this.staffPostType = staffPostType;
	}

	public String getDeptCode() {
		return deptCode;
	}

	public void setDeptCode(String deptCode) {
		this.deptCode = deptCode;
	}

	public String getDeptName() {
		return deptName;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	public String getPositionCode() {
		return positionCode;
	}

	public void setPositionCode(String positionCode) {
		this.positionCode = positionCode;
	}

	public String getPositionName() {
		return positionName;
	}

	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}


	public String getUpdateUser() {
		return updateUser;
	}

	public void setUpdateUser(String updateUser) {
		this.updateUser = updateUser;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}
	
}
